echo
echo
echo "Loading the Digi ClassicBoard/Neo driver..."
insmod /lib/cpci.o
echo "Loading the printer driver..."
insmod /lib/lp.o
#MAJOR=`cat /proc/devices |grep ClassicPCI |awk '{print $1}'`
DRIVERMAJOR=`cat /proc/devices |grep ttyCP |getnum`
NPORTS=`cat /proc/tty/driver/ClassicPCI | tail -1 | getnum`
# "tail" doesn't fit on the 1.7M floppy so we have to hard code this for now
#NPORTS=8

i=0
while [ $i -lt ${NPORTS} ]
do
	mknod /dev/ttyCP$i c $DRIVERMAJOR $i
	j=$[ $i + 1 ]
	# Link /dev/ttyCP0 to /dev/Port1, ttyCP1 to Port2 etc. for
	# non-Linux users
	#ln -s /dev/ttyCP$i /dev/Port$j
	i=$j
done

MGMTMAJOR=`cat /proc/devices |grep cpciCtl |getnum`
mknod /dev/cpciCtl c $MGMTMAJOR 0

echo
echo
echo "The Digi ClassicPCI devices are named /dev/ttyCP0, /dev/ttyCP1..."
echo "Press a key to run a simple test between ClassicPCI ports 0 and 1..."
read X
echo
utest -i /dev/ttyCP0 -o /dev/ttyCP1
echo
echo "Press a key to see the options for the utest program..."
read X
echo
utest -h
