/* getnum.c
 *
 * Strip leading spaces and return the digits of the first integer
 * in the standard input.
 *
 * Explanation: By including this silly utility we can avoid having
 * to put "gawk" on the utest distribution floppy.
 *
 */

#include <stdio.h>

main() {
	int c;

	// Strip leading spaces
	while( ((c = getchar()) != EOF) && isblank(c) )
		;

	while( isdigit(c) ) {
		putchar(c);
		c = getchar();
	}
}
